Subject: [mvfree] Offer: Bag of hangers

From: "rsamerica1993" <[email-masked]>
Date: Fri, 06 Jul 2007 23:32:37 -0000

Most of metal; a few of them are plastic.  Thought I'd offer them to
this group before taking them to a local dry cleaner for recycling.

Located in Mountain View, near Highway 85 and El Camino Real.